package com.atlassian.bitbucket.rest.scm;

import com.atlassian.bitbucket.rest.annotation.JsonSurrogate;
import com.atlassian.bitbucket.rest.RestErrorMessage;
import com.atlassian.bitbucket.scm.MergeException;
import org.codehaus.jackson.map.annotate.JsonSerialize;

@JsonSerialize
@JsonSurrogate(MergeException.class)
public class RestMergeErrorMessage extends RestErrorMessage {
    public RestMergeErrorMessage(MergeException exception) {
        super(exception);
        put("isConflicted", true);
    }
}
